namespace CCI.ConfigurationSuiteLite.Library.Model;
        // class declarations
         class StringList;
     class StringList 
    {
        // class delegates

        // class events

        // class functions
        STRING_FUNCTION get_Item ( INTEGER key );
        FUNCTION set_Item ( INTEGER key , STRING value );
        FUNCTION Add ( INTEGER key , STRING value );
        FUNCTION Clear ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        SIGNED_LONG_INTEGER Count;
    };

namespace CCI.ConfigurationSuiteLite.Library.Components;
        // class declarations
         class Component;
         class SignedIntegerComponent;
         class ListComponent;
         class IPAddressComponent;
         class StringComponent;
         class IntegerComponent;
         class BooleanComponent;
           class Int16EventArgs;
           class ListValueEventArgs;
           class IPAddressEventArgs;
           class StringEventArgs;
           class UInt16EventArgs;
     class Component 
    {
        // class delegates

        // class events

        // class functions
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class SignedIntegerComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( SignedIntegerComponent sender, Int16EventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , SIGNED_INTEGER DefaultValue , SIGNED_INTEGER MinValue , SIGNED_INTEGER MaxValue );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class ListComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( ListComponent sender, ListValueEventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , INTEGER DefaultIndex , StringList Values );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class IPAddressComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( IPAddressComponent sender, IPAddressEventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , STRING DefaultAddress , INTEGER DefaultPort );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class StringComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( StringComponent sender, StringEventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , STRING DefaultValue , INTEGER IsOptional , INTEGER IsPassword , INTEGER MaxSize );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class IntegerComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( IntegerComponent sender, UInt16EventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , INTEGER DefaultValue , INTEGER MinValue , INTEGER MaxValue );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

     class BooleanComponent 
    {
        // class delegates

        // class events
        EventHandler OnStateUpdate ( BooleanComponent sender, UInt16EventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorId , STRING Id , INTEGER Category , STRING Description , INTEGER DefaultValue , STRING TrueText , STRING FalseText );
        FUNCTION Refresh ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER ProcessorId;
        INTEGER Category;
        STRING SymbolID[];
    };

namespace CCI.ConfigurationSuiteLite.Library;
        // class declarations
         class ConfigProcessor;
     class ConfigProcessor 
    {
        // class delegates

        // class events
        EventHandler OnInitializedUpdate ( ConfigProcessor sender, UInt16EventArgs args );
        EventHandler OnBusyUpdate ( ConfigProcessor sender, UInt16EventArgs args );
        EventHandler OnDebugMessage ( ConfigProcessor sender, StringEventArgs args );

        // class functions
        FUNCTION Configure ( INTEGER ProcessorID , STRING FilePath , STRING CWSRoot , StringList Categories );
        FUNCTION Dispose ();
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        STRING ReferenceName[];

        // class properties
    };

namespace CCI.ConfigurationSuiteLite.Library.Events;
        // class declarations
         class StringEventArgs;
         class ListValueEventArgs;
         class UInt16EventArgs;
         class IPAddressEventArgs;
         class Int16EventArgs;
     class StringEventArgs 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        STRING Payload[];
    };

     class ListValueEventArgs 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER Index;
        STRING Value[];
    };

     class UInt16EventArgs 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        INTEGER Payload;
    };

     class IPAddressEventArgs 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        STRING IPAddress[];
        INTEGER IPPort;
    };

     class Int16EventArgs 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
        SIGNED_INTEGER Payload;
    };

namespace CCI.ConfigurationSuiteLite.Library.Registration;
        // class declarations
         class Registrar;
     class Registrar 
    {
        // class delegates

        // class events

        // class functions
        SIGNED_LONG_INTEGER_FUNCTION GetHashCode ();
        STRING_FUNCTION ToString ();

        // class variables
        INTEGER __class_id__;

        // class properties
    };

